jQuery( document ).ready( function() {
    var targets = jQuery( '[rel~=tooltip]' ),
        target  = false,
        tooltip = false,
        title   = false;
    
    async function getVerses(ref) {
        ref = ref.replaceAll(';', ",")
        let url = `https://bible-api.com/${ref}`
        if (bible_verses_refs.translation) {
            url += `?translation=${bible_verses_refs.translation}`
        }
        const response = await fetch(url)
        if (!response.ok) {
            throw new Error(`Um erro ocorreu: ${response.status}`);
        }
        const json = await response.json()
        return json.text
    }
 
    targets.bind( 'mouseenter', async function() {
        target  = jQuery( this );
        if (target.attr('title') == 'Aguarde...') {
            tip = await getVerses(target.text())
        } else {
            tip = target.attr('title')
        }
        tooltip = jQuery('<div id="tooltip"></div>'),

        container = jQuery('<div class="rtContainer"></div>'),
        tooltipheader = jQuery('<div class="rtTooltipHeader"></div>'),
        tooltipbody = jQuery('<div class="rtTooltipBody"></div>'),
        tooltipfooter = jQuery('<div class="rtTooltipFooter"></div>');

        container.append(tooltipheader, tooltipbody, tooltipfooter);
        tooltip.append(container);
 
        if( !tip || tip == '' )
            return false;
 
        target.removeAttr( 'title' );
        tooltipheader.html(target.text());
        tooltipbody.html(tip);
        tooltip.css( 'opacity', 0 )
                .addClass("rtTooltip rtLight rtTooltipDropShadow")
                .appendTo( 'body' );
 
        var init_tooltip = function() {
            if( jQuery( window ).width() < tooltip.outerWidth() * 1.5 ) {
                tooltip.css( 'max-width', jQuery( window ).width() / 2 );
            } else {
                tooltip.css( 'max-width', 340 );
            }
 
            var pos_left = target.offset().left + ( target.outerWidth() / 2 ) - ( tooltip.outerWidth() / 2 );
            var pos_top  = target.offset().top - jQuery(document).scrollTop() - tooltip.outerHeight() - 20;
 
            if( pos_left < 0 ) {
                pos_left = target.offset().left + target.outerWidth() / 2 - 20;
                tooltip.addClass( 'left' );
            } else {
                tooltip.removeClass( 'left' );
            }
 
            if( pos_left + tooltip.outerWidth() > jQuery( window ).width() ) {
                pos_left = target.offset().left - tooltip.outerWidth() + target.outerWidth() / 2 + 20;
                tooltip.addClass( 'right' );
            } else {
                tooltip.removeClass( 'right');
            }
 
            if( pos_top < 0 ) {
                var pos_top  = target.offset().top + target.outerHeight();
                tooltip.addClass( 'top' );
            } else {
                pos_top  = target.offset().top - tooltip.outerHeight() - 20;
                tooltip.removeClass( 'top' );
            }
 
            tooltip.css( { left: pos_left, top: pos_top } )
                   .animate( { top: '+=10', opacity: 1 }, 50 );
        };
 
        init_tooltip();
        jQuery( window ).resize( init_tooltip );
 
        const remove_tooltip = function()
        {
            tooltip.animate( { top: '-=10', opacity: 0 }, 50, function()
            {
                jQuery( this ).remove();
            });
 
            target.attr( 'title', tip );
        };
 
        target.bind( 'mouseleave', remove_tooltip );
        tooltip.bind( 'click', remove_tooltip );
    });
});


